<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <RootNamespace>UniVerse.Infrastructure</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.Identity.Client" Version="4.84.0" />
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.2" />
        <PackageReference Include="Microsoft.Extensions.Http" Version="10.0.8" />
        <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.18.0" />
        <PackageReference Include="Quartz" Version="3.18.1" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\UniVerse.Domain\UniVerse.Domain.csproj" />
        <ProjectReference Include="..\UniVerse.Application\UniVerse.Application.csproj" />
    </ItemGroup>

</Project>
